logo
DATABASE RESOURCES PRICING ABOUT US

Titan Framework <= 1.12.1 - Reflected Cross-Site Scripting (XSS)

Description

The iframe-font-preview.php file of the titan-framework does not properly escape the font-weight and font-family GET parameters before outputting them back in an href attribute, leading to Reflected Cross-Site Scripting issues Edit (WPScanTeam): \- The original report mentioned the issue in the awesome-support plugin 6.0.1, however we scanned to WordPress plugins repository for such library being used and 49 plugins were found to be affected. \- The titan-framework has been permanently closed as no longer updated and maintained \- The full report, including all the affected plugins, was shared with WP plugins team on March 28th, 2021 and they gave vendors 3 months to find a replacement


Related